> For the complete documentation index, see [llms.txt](https://docs.risewallet.io/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/detecting-the-provider.md).

# Detecting the Provider

To detect if a Rise Wallet is installed in a user's browser, you need to check if `window.rise` is defined. The Rise Wallet extension injects `rise` into the browser's `window` object and it's available to all web pages on the user's browser.

```javascript
const isRiseInstalled = window.rise && window.rise.isRise;
```

If Rise Wallet is not installed, you can prompt and redirect your users to download it using something like this:

```javascript
const getProvider = () => {
  if ('rise' in window) {
    const provider = window.rise;
    if (provider.isRise) {
      return provider;
    }
  }
  window.open('https://risewallet.io', '_blank');
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/detecting-the-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
